summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authordjcb <djcb@djcbsoftware.nl>2017-11-04 12:49:28 +0200
committerdjcb <djcb@djcbsoftware.nl>2017-11-04 12:49:28 +0200
commit40dd4751bfff9577badc25bf60ea7b9767ea3fd9 (patch)
tree468ac5c901db7d46c4456ca9ad9207ba7083f6f6 /autogen.sh
parent43df94fa39f42299bd6c66f103fbac8ba0c4037a (diff)
autogen.sh: don't require `which'
use posix standard "commmand" instead.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index a084fa5..a52f1f1 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,7 +6,8 @@ test -f mu/mu.cc || {
exit 1
}
-if test -z `which autoreconf`; then
+command -V autoreconf > /dev/null
+if [[ $? != 0 ]]; then
echo "*** No autoreconf found, please install it ***"
exit 1
fi